Package org.apache.synapse.mediators.throttle

# Class ThrottleMediatorFactory

java.lang.Object
org.apache.synapse.config.xml.AbstractMediatorFactory
org.apache.synapse.mediators.throttle.ThrottleMediatorFactory

All Implemented Interfaces:
  `org.apache.synapse.config.xml.MediatorFactory`

public class ThrottleMediatorFactory extends org.apache.synapse.config.xml.AbstractMediatorFactory
The Factory for create throttle mediator- key or InLine XMl need to provide

     <throttle [onReject="string"] [onAccept="string"] id="string">
       (<policy key="string"/> | <policy>..</policy>)
        <onReject>..</onReject>?
        <onAccept>..</onAccept>?
     </throttle>

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

  `ATT_ARGUMENT, ATT_DEFAULT_VALUE, ATT_DESCRIPTION, ATT_EVAL, ATT_EXPRN, ATT_IS_MANDATORY, ATT_KEY, ATT_NAME, ATT_ONERROR, ATT_REGEX, ATT_ROOT_ELEMENT, ATT_SEQUENCE, ATT_SOURCE, ATT_STATS, ATT_TARGET, ATT_TARGET_VARIABLE, ATT_TYPE, ATT_VALUE, ATT_XPATH, DESCRIPTION_Q, FEATURE_Q, INPUTS, PROP_Q, PROPERTY_GROUP_Q, RESULT_TYPE_Q, TARGET_Q, VARIABLE_Q`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThrottleMediatorFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.synapse.Mediator`
  `createSpecificMediator(org.apache.axiom.om.OMElement elem, Properties properties)`
  `QName`
  `getTagQName()`

  ### Methods inherited from class org.apache.synapse.config.xml.AbstractMediatorFactory

  `addAllCommentChildrenToList, collectNameValuePairs, createMediator, handleException, handleException, processAuditStatus, processTraceState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ThrottleMediatorFactory

    public ThrottleMediatorFactory()

- ## Method Details

  - ### createSpecificMediator

    public org.apache.synapse.Mediator createSpecificMediator(org.apache.axiom.om.OMElement elem, Properties properties)
    Specified by:
      `createSpecificMediator` in class `org.apache.synapse.config.xml.AbstractMediatorFactory`

  - ### getTagQName

    public QName getTagQName()